Change log for openarena-088-data package in Ubuntu

19 of 9 results
Published in groovy-release on 2020-04-24
Published in focal-release on 2020-02-18
Deleted in focal-proposed (Reason: moved to Release)
openarena-088-data (0.8.8-10) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-12

  [ Debian Janitor ]
  * Trim trailing whitespace in d/changelog
  * Bump debhelper from old 10 to 12
  * Set debhelper-compat version in Build-Depends

  [ Simon McVittie ]
  * Declare compliance with Debian Policy v4.5.0
  * Use https for various URLs
  * d/upstream/metadata: Add svn repository
  * Clarify status of modified engine (it's a modified ioquake3 engine,
    not something OpenArena-specific)

 -- Simon McVittie <email address hidden>  Tue, 18 Feb 2020 09:08:46 +0000

Available diffs

Superseded in focal-release on 2020-02-18
Published in eoan-release on 2019-04-18
Obsolete in disco-release on 2020-07-14
Obsolete in cosmic-release on 2020-07-13
Deleted in cosmic-proposed (Reason: moved to release)
openarena-088-data (0.8.8-9) unstable; urgency=medium

  * Declare compliance with Debian Policy v4.1.4
  * d/README.source: Document non-DEP-14 Debian packaging repository
    layout
  * Update Vcs-* for move to salsa.debian.org
  * Remove empty d/watch
  * d/copyright: Sort Files: * paragraph to the top to placate Lintian
  * d/copyright: Consolidate GPL-2 license grants into one standalone license
    paragraph

 -- Simon McVittie <email address hidden>  Mon, 30 Apr 2018 09:56:20 +0100

Available diffs

Superseded in cosmic-release on 2018-05-05
Published in bionic-release on 2017-11-02
Deleted in bionic-proposed (Reason: moved to release)
openarena-088-data (0.8.8-8) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-10:
  * Use https URL for the Format of d/copyright
  * Declare compliance with Debian Policy v4.1.1
  * Move to debhelper compat level 10
  * Remove pre-generated QVM files from source package, so that building
    the package proves they can be regenerated
  * d/qvmbrute.c: Include timing information
  * Remove unused lintian overrides
  * Set Rules-Requires-Root to no
  * Remove all upstream files from packaging git repository

 -- Simon McVittie <email address hidden>  Mon, 30 Oct 2017 11:04:27 +0000

Available diffs

Superseded in bionic-release on 2017-11-02
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2020-07-10 (Reason: moved to release)
openarena-088-data (0.8.8-7) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-9:
    - Normalize mtime of vm directory in PK3 archive to SOURCE_DATE_EPOCH
      for reproducible builds of openarena-data, openarena-085-data,
      openarena-088-data

 -- Simon McVittie <email address hidden>  Sun, 25 Sep 2016 17:40:52 +0100

Available diffs

Superseded in zesty-release on 2016-11-02
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
openarena-088-data (0.8.8-6) unstable; urgency=medium

  * Merge from openarena-data/0.8.5split-8:

  [ Alexandre Detiste ]
  * Normalize permissions of PK3 archive contents to 0644/0755 to
    fix reproducibility under different umask (Closes: #819965)

  [ Simon McVittie ]
  * Clean up generated openarena-088-data.README.Debian
  * d/rules: add a comment indicating why we cannot run
    dh_strip_nondeterminism
  * d/rules: chmod all files, even those not in the obvious directory
    (mp-pak0.pk3 contains ../CREDITS and ../COPYING)
  * Standards-Version: 3.9.8 (no changes needed)
  * Pass CPPFLAGS to C compiler for QVM-synthesizing program, avoiding
    warnings from build-log checks
  * Use SOURCE_DATE_EPOCH for timestamps, and build-depend on the
    debhelper version that defines it

 -- Simon McVittie <email address hidden>  Tue, 28 Jun 2016 10:50:19 +0100

Available diffs

  • diff from 0.8.8-5 to 0.8.8-6 (pending)
Superseded in yakkety-release on 2016-06-29
Deleted in yakkety-proposed on 2016-06-30 (Reason: moved to release)
openarena-088-data (0.8.8-5) unstable; urgency=medium

  * gbp.conf: do not set export-dir, tarball-dir: this is a local
    preference for the developer doing the build, not something that
    should be in the VCS
  * Verify at dh_builddeb time that the PK3 is compatible with upstream
  * Do not put the PK3 files through dh_strip_nondeterminism: order
    is important for these files (Closes: #819113)

 -- Simon McVittie <email address hidden>  Thu, 24 Mar 2016 09:59:06 +0000

Available diffs

Superseded in yakkety-release on 2016-04-27
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
openarena-088-data (0.8.8-3) unstable; urgency=medium

  * Merge packaging changes from openarena-data/0.8.5split-6,
    including reproducible builds
    - do the build with TZ=UTC to make sure the (local) timestamps
      in the zip file are the same in any build
    - use zip -X to omit all optional fields (uid, gid, UTC timestamp)
    - use zip -o to set the zip file's embedded timestamp equal to the
      newest file in it
    - debian/rules: make more use of dh and /usr/share/dpkg/default.mk
    - Apply changelog date to the fake QVM files, for reproducible builds
    - debian/copyright: update date
    - debian/copyright: list permissive license of list-pk3.pl and qvmbrute.c
    - Standards-Version: 3.9.6 (no changes)

 -- Simon McVittie <email address hidden>  Fri, 08 May 2015 08:19:55 +0100

Available diffs

Superseded in wily-release on 2015-05-08
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
openarena-088-data (0.8.8-2) unstable; urgency=low


  * Merge from openarena-data
    - Standards-Version: 3.9.5 (no changes)
    - Bump debhelper compat level to 9 to avoid deprecated dh_pysupport

 -- Simon McVittie <email address hidden>  Mon, 18 Aug 2014 12:22:31 +0100

Available diffs

Superseded in vivid-release on 2014-10-26
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
openarena-088-data (0.8.8-1) unstable; urgency=low


  * Update common files for 0.8.8
  * Support build-arch, build-indep
  * Standards-Version: 3.9.3 (no changes)
  * New branch of the source package for the 0.8.8 game data
  * Breaks: openarena (<< 0.8.1-8~) and the corresponding openarena-server,
    which are the oldest versions which look in /usr/share (newer versions
    use symlinks in /usr/lib)

 -- Simon McVittie <email address hidden>  Sun, 26 Feb 2012 19:08:18 +0000
19 of 9 results